## Decrypt

Supply the owner password to decrypt PDFs with standard security, 40-bit or 128-bit keys. This does not decrypt Adobe eBooks, which use a different encryption mechanism.

### Options

> `java tool.pdf.Decrypt [options] PDF files or directories`

- -password password -- owner password. The null password is tried automatically. The password is checked for validity before applying it to the document content.
- -inplace -- write decrypted PDF over existing
- -out[file] -- in absence of -inplace filename to use for decrypted PDF (default: `name-d.pdf`)

### FAQ

Why is the OWNER password required to decrypt when I can I don't need a password to view the PDF?

In this case the user password is null, allowing access to the document according to the author permissions. Changing the author permissions -- which in any reasonable interpretation includes removing encryption! -- requires the author password. Here is a quote from the Adobe's PDF Reference, fifth edition:

> 1.5 Intellectual Property

> The general idea of using an interchange format for electronic documents is in the public domain. Anyone is free to devise a set of unique data structures and operators that define an interchange format for electronic documents. However, Adobe Systems Incorporated owns the copyright for the particular data structures and operators and the written specification constituting the interchange format called the Portable Document Format. Thus, these elements of the Portable Document Format may not be copied without Adobe's permission.

> ...

> The conditions of such copyright permission are:
> • Authors of software that accepts input in the form of the Portable Document Format must make reasonable efforts to ensure that the software they create respects the access permissions and permissions controls listed in Table 3.20 of this specification, to the extent that they are used in any particular document. These access permissions express the rights that the documents author has granted to users of the document. It is the responsibility of Portable Document Format consumer software to respect the authors intent.